Bug 2241978 - CVE-2023-4692 grub2: Out-of-bounds write at fs/ntfs.c may lead to unsigned code execution [fedora-all]
Summary: CVE-2023-4692 grub2: Out-of-bounds write at fs/ntfs.c may lead to unsigned co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Nicolas Frayer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-4692
TreeView+ depends on / blocked
 
Reported: 2023-10-03 17:55 UTC by Marco Benatto
Modified: 2024-05-03 01:34 UTC (History)
5 users (show)

Fixed In Version: grub2-2.06-121.fc40 grub2-2.06-120.fc39 grub2-2.06-118.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-23 01:15:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marco Benatto 2023-10-03 17:55:57 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2236613

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marco Benatto 2023-10-03 17:56:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2236613,2241978

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-04-17 11:03:19 UTC
FEDORA-2024-2b545d3085 (grub2-2.06-121.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-2b545d3085

Comment 3 Fedora Update System 2024-04-17 11:07:23 UTC
FEDORA-2024-d09797f550 (grub2-2.06-120.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-d09797f550

Comment 4 Fedora Update System 2024-04-17 11:10:52 UTC
FEDORA-2024-01f402fae5 (grub2-2.06-118.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-01f402fae5

Comment 5 Fedora Update System 2024-04-18 01:03:53 UTC
FEDORA-2024-2b545d3085 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-2b545d3085`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-2b545d3085

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-04-18 01:37:46 UTC
FEDORA-2024-d09797f550 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-d09797f550`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-d09797f550

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-04-18 02:01:20 UTC
FEDORA-2024-01f402fae5 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-01f402fae5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-01f402fae5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-04-23 01:15:13 UTC
FEDORA-2024-2b545d3085 (grub2-2.06-121.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-04-29 01:55:16 UTC
FEDORA-2024-d09797f550 (grub2-2.06-120.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2024-05-03 01:34:03 UTC
FEDORA-2024-01f402fae5 (grub2-2.06-118.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.